rpy2 (3.5.17-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Dec 2024 15:10:22 -0600

rpy2 (3.5.16-3) unstable; urgency=medium

  [ wuruilong ]
  * debian/patches/skip_complex_tests_on_mips64el_and_riscv64_and_loon64:
    Extended patch to also skip tests on loong64

  [Dirk Eddelbuettel]
  * Applied patch to address build issue on loong64	(Closes: #1073251)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Jun 2024 07:37:12 -0500

rpy2 (3.5.16-2) unstable; urgency=medium

  [Bo Yu]
  * debian/patches/skip_complex_tests_on_mips64el_and_riscv64: Extended
    mips64el patch to also skip tests on riscv64

  [Dirk Eddelbuettel]
  * Applied patch to address build issue on riskv64	(Closes: #1071362)
  * debian/patches/skip_r_embedding_tests: Skip embedding tests which now
    seg.fault under R 4.4.0 while we await a response from upstream
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 May 2024 08:00:19 -0500

rpy2 (3.5.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Apr 2024 15:42:35 -0500

rpy2 (3.5.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Dec 2023 07:58:43 -0600

rpy2 (3.5.14-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Sep 2023 07:19:31 -0500

rpy2 (3.5.13-6) unstable; urgency=medium

  * debian/rules: Applied patch by Chris Lamb to remove plot output file
    Rplots.pdf to ensure reproducibility		(Closes: #1050955)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Sep 2023 07:26:11 -0500

rpy2 (3.5.13-5) unstable; urgency=medium

  * debian/patches/skip_complex_tests_on_mips64el: Fix a brown bag bug in
    the patch for #1050432

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Aug 2023 12:00:53 -0500

rpy2 (3.5.13-4) unstable; urgency=medium

  * rpy2/tests/*: Skip several tests on mips64el where complex variables
    now fail the tests					(Closes: #1050432)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Aug 2023 10:53:00 -0500

rpy2 (3.5.13-3) unstable; urgency=medium

  * rpy2/tests/robjects/test_vector_datetime.py: Comment out one test
    creating issues on several platforms
    
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Jul 2023 11:12:19 -0500

rpy2 (3.5.13-2) unstable; urgency=medium

  * debian/control: Remove 'Testsuite: autopkgtest-pkg-pybuild' as the
    build suite did not do well enough do support this
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Jul 2023 09:28:23 -0500

rpy2 (3.5.13-1) unstable; urgency=medium

  * New upstream release

  * Upstream no longer uses deprecated (and not in Debian) pytz module in
    tests so we can turn on autopkgtest. So thanks to Laurent upstream.

  * debian/control: Add autopkgtest setting		(Closes: #1035237)
  * debian/control: Add r-cran-survival to Build-Depends for one test

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jun 2023 07:42:50 -0500

rpy2 (3.5.12-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:48:23 -0500

rpy2 (3.5.12-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 May 2023 07:25:30 -0500

rpy2 (3.5.11-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Apr 2023 18:28:52 -0500

rpy2 (3.5.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Mar 2023 15:31:17 -0600

rpy2 (3.5.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Feb 2023 16:52:54 -0600

rpy2 (3.5.8-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Feb 2023 07:29:10 -0600

rpy2 (3.5.7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Jan 2023 08:33:44 -0600

rpy2 (3.5.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2022 14:03:37 -0600

rpy2 (3.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Oct 2022 22:52:32 -0500

rpy2 (3.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Aug 2022 13:04:10 -0500

rpy2 (3.5.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Jul 2022 08:50:01 -0500

rpy2 (3.5.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2022 19:23:08 -0500

rpy2 (3.5.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update homepage value

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2022 18:49:56 -0500

rpy2 (3.5.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Apr 2022 21:42:23 -0500

rpy2 (3.4.5-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Aug 2021 13:49:32 -0500

rpy2 (3.4.5-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Jun 2021 21:39:35 -0500

rpy2 (3.4.4-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Apr 2021 09:44:49 -0500

rpy2 (3.4.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Mar 2021 09:22:20 -0500

rpy2 (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Jan 2021 11:45:37 -0600

rpy2 (3.4.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jan 2021 22:40:40 -0600

rpy2 (3.3.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Oct 2020 00:02:38 -0500

rpy2 (3.3.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Jul 2020 22:15:38 -0500

rpy2 (3.3.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Jun 2020 18:52:16 -0500

rpy2 (3.3.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 May 2020 12:21:21 -0500

rpy2 (3.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Apr 2020 19:23:12 -0500

rpy2 (3.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Apr 2020 20:36:45 -0500

rpy2 (3.2.7-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Mar 2020 12:52:00 -0500

rpy2 (3.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Feb 2020 09:25:08 -0600

rpy2 (3.2.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jan 2020 19:37:25 -0600

rpy2 (3.2.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Dec 2019 08:39:05 -0600

rpy2 (3.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Nov 2019 14:18:43 -0600

rpy2 (3.2.1-2) unstable; urgency=medium

  * debian/control: Remove left-over 'python-setuptools' as the package
    has been python3-only since 3.0.0 in March		(Closes: #943256)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Oct 2019 16:19:24 -0500

rpy2 (3.2.1-1) unstable; urgency=medium

  * New upstream release

  * setup.py: Relax cffi version requirement to same one used with 3.2.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Oct 2019 21:27:26 -0500

rpy2 (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Oct 2019 21:04:00 -0500

rpy2 (3.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Sep 2019 13:46:19 -0500

rpy2 (3.0.5-3) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Aug 2019 06:32:44 -0500

rpy2 (3.0.5-2) unstable; urgency=medium

  * debian/control: Added python3-tzlocal to Depends	(Closes: #932413)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Jul 2019 20:28:05 -0500

rpy2 (3.0.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Jul 2019 15:48:27 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-rpy2`.
